Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class ObjectIDImpl

    java.lang.Object
      org.jasig.portal.container.om.common.ObjectIDImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.ObjectID

    public class ObjectIDImpl

extends java.lang.Object
implements org.apache.pluto.om.common.ObjectID, java.io.Serializable

Wraps around the internal Object IDs. By holding both the string and the integer version of an Object ID this class helps speed up the internal processing. Code copied from Apache Pluto.

Version:
  $Revision: 1.5 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private int` | `intOID`
`private java.lang.String` | `stringOID`

Constructor Summary
`private` | `ObjectIDImpl(int oid)`
`private` | `ObjectIDImpl(int oid, java.lang.String stringOID)`

Method Summary
`static org.apache.pluto.om.common.ObjectID` | `createFromString(java.lang.String idStr)`
`boolean` | `equals(java.lang.Object object)`
`int` | `hashCode()`
`int` | `intValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### stringOID

    private java.lang.String stringOID

### intOID

    private int intOID

Constructor Detail

### ObjectIDImpl

    private ObjectIDImpl(int oid)

### ObjectIDImpl

    private ObjectIDImpl(int oid,
                         java.lang.String stringOID)

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### intValue

    public int intValue()

### createFromString

    public static org.apache.pluto.om.common.ObjectID createFromString(java.lang.String idStr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD